## com.baidubce.services.media.model
Class ThumbnailCapture

    java.lang.Object
      com.baidubce.services.media.model.ThumbnailCapture

    public class ThumbnailCapture

extends Object

Constructor Summary
`ThumbnailCapture()`

Method Summary
`Integer` `getEndTimeInSecond()`
`Integer` `getIntervalInSecond()`
`String` `getMode()`
`Integer` `getStartTimeInSecond()`
`void` `setEndTimeInSecond(Integer endTimeInSecond)`
`void` `setIntervalInSecond(Integer intervalInSecond)`
`void` `setMode(String mode)`
`void` `setStartTimeInSecond(Integer startTimeInSecond)`
`String` `toString()`
`ThumbnailCapture` `withEndTimeInSecond(Integer endTimeInSecond)`
`ThumbnailCapture` `withIntervalInSecond(Integer intervalInSecond)`
`ThumbnailCapture` `withMode(String mode)`
`ThumbnailCapture` `withStartTimeInSecond(Integer startTimeInSecond)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThumbnailCapture

    public ThumbnailCapture()

Method Detail

### getMode

    public String getMode()

### setMode

    public void setMode(String mode)

### withMode

    public ThumbnailCapture withMode(String mode)

### getStartTimeInSecond

    public Integer getStartTimeInSecond()

### setStartTimeInSecond

    public void setStartTimeInSecond(Integer startTimeInSecond)

### withStartTimeInSecond

    public ThumbnailCapture withStartTimeInSecond(Integer startTimeInSecond)

### getEndTimeInSecond

    public Integer getEndTimeInSecond()

### setEndTimeInSecond

    public void setEndTimeInSecond(Integer endTimeInSecond)

### withEndTimeInSecond

    public ThumbnailCapture withEndTimeInSecond(Integer endTimeInSecond)

### getIntervalInSecond

    public Integer getIntervalInSecond()

### setIntervalInSecond

    public void setIntervalInSecond(Integer intervalInSecond)

### withIntervalInSecond

    public ThumbnailCapture withIntervalInSecond(Integer intervalInSecond)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.